aNews = [
  ["October 23, 2021",'<a href="doc1.16/whatisnew16.html" target="_blank"> Ring 1.16 Released!</a>'],
  ["October 4, 2021",'<a href="http://ring-lang-081.osdn.jp/docs-1.15/index.html" target="_blank"> Ring 1.15 Documentation (Japanese)</a>'],
  ["September 24, 2021",'<a href="doc1.15/whatisnew15.html" target="_blank"> Ring 1.15 Released!</a>'],
  ["August 20, 2021",'<a href="https://www.youtube.com/watch?v=jdgzpQbcHGQ&list=PLHIfW1KZRIfl6KzfLziFl650MmThnQ0jT&index=402" target="_blank"> Over 400 videos about Ring in Hassouna Academy'],
  ["August 15, 2021",'<a href="https://ringmycoffee.herokuapp.com/mycoffee/index.ring" target="_blank"> MyCoffee (Cloud Deployment)'],
  ["July 22, 2021",'<a href="https://github.com/ring-lang/ring/tree/master/marketing/chess3d/README.md" target="_blank"> Chess 3D (Qt3D Sample)</a>'],
  ["May 1, 2021",'<a href="https://github.com/ring-lang/ring/blob/master/marketing/pwct/README.md" target="_blank"> PWCT 2.0 (Progress Report!)</a>'],
  ["April 17, 2021",'<a href="http://ring-lang-081.osdn.jp/docs-1.14/index.html" target="_blank"> Ring 1.14 Documentation (Japanese)</a>'],
  ["March 17, 2021",'<a href="https://rosettacode.org/wiki/Category:Ring" target="_blank"> Over 700 samples in RosettaCode </a>'],
  ["March 15, 2021",'<a href="https://github.com/ring-lang/ring/tree/master/applications/chessendgame" target="_blank"> Chess Endgame Application </a>'],
  ["January 25, 2021",'<a href="doc1.14/whatisnew14.html" target="_blank"> Ring 1.14 Released!</a>'],
  ["January 5, 2021",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/ringtilengine" target="_blank"> RingTilengine Extension</a>'],
  ["December 28, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/erlangbformula" target="_blank"> Erlang B Formula</a>'],
  ["December 25, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/ringlibui" target="_blank"> RingLibUI Extension</a>'],
  ["December 10, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/mycoffee" target="_blank"> MyCoffee (Web Application)'],
  ["November 10, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/tools/cloc" target="_blank"> Using CLOC</a>'],
  ["October 25, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/samples/UsingArabic/HassounaCourse/WebDevelopment#hassouna-course-web-development-samples" target="_blank"> Web Development Samples (WebLib)</a>'],
  ["September 15, 2020",'<a href="doc1.13/whatisnew13.html" target="_blank"> Ring 1.13 Released!</a>'],
  ["August 24, 2020",'<a href="https://www.infoworld.com/article/3572395/ring-language-upgrade-focuses-on-webassembly.html" target="_blank">InfoWorld: Introducing Ring 1.13</a>'],
  ["August 20, 2020",'<a href="resources.html#section2" target="_blank">Online Applications (WebAssembly)</a>'],
  ["July 30, 2020",'<a href="https://www.youtube.com/watch?v=a3ZYjssAvbI&list=PLHIfW1KZRIfn1cs2BupsdJ7dzCQ7wmHFk&index=1" target="_blank"> Movie: Developing Web Applications </a>'],
  ["July 10, 2020",'<a href="https://www.youtube.com/watch?v=rGmGHrBgpwI" target="_blank"> Movie: Progress Report </a>'],
  ["July 9, 2020",'<a href="web/formdesigner/project.html" target="_blank"> Online Form Designer (WebAssembly) </a>'],
  ["July 8, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/eightqueens" target="_blank"> The Eight Queens Game </a>'],
  ["July 2, 2020",'<a href="https://rosettacode.org/wiki/Category:Ring" target="_blank"> Over 600 samples in RosettaCode </a>'],
  ["June 8, 2020",'<a href="https://www.apress.com/gp/book/9781484258323" target="_blank"> Apress: Beginning Ring Programming </a>'],
  ["June 1, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/towersofhanoi" target="_blank"> The Towers of Hanoi </a>'],
  ["May 11, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/escape" target="_blank"> The Escape Game </a>'],
  ["May 10, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/wordgame" target="_blank"> The Word Game </a>'],
  ["May 6, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/tetris" target="_blank"> The Tetris Game </a>'],
  ["May 5, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/lottery" target="_blank"> The Lottery Game </a>'],
  ["April 30, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/pairs" target="_blank"> The Pairs Game </a>'],
  ["April 16, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/matching" target="_blank"> The Matching Game </a>'],
  ["April 9, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/rockpaperscissors" target="_blank"> The RockPaperScissors Game </a>'],
  ["March 31, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/moneyboxes" target="_blank"> The MoneyBoxes Game </a>'],
  ["March 29, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/questions" target="_blank"> The Questions Game </a>'],
  ["March 20, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/laser" target="_blank"> The Laser Game </a>'],
  ["February 15, 2020",'<a href="https://github.com/ring-lang/ring/tree/master/applications/magicballs" target="_blank"> The Magic Balls Game </a>'],
  ["February 12, 2020",'<a href="https://github.com/ring-lang/ring/blob/master/samples/UsingArabic/HassounaCourse/" target="_blank"> Hassouna course samples </a>'],
  ["February 2, 2020",'<a href="https://github.com/SpaceVim/SpaceVim/blob/master/docs/layers/lang/ring.md" target="_blank"> Ring language support in SpaceVim</a>'],
  ["January 25, 2020",'<a href="doc1.13/whatisnew12.html" target="_blank"> Ring 1.12 Released!</a>'],
  ["December 25, 2019",'<a href="https://www.youtube.com/watch?v=K8Lh03PdcjI&list=PLHIfW1KZRIfl6KzfLziFl650MmThnQ0jT&index=301" target="_blank"> Over 300 videos about Ring in Hassouna Academy'],
  ["December 23, 2019",'<a href="https://github.com/ring-lang/ring/tree/master/samples/General/NumberToWords" target="_blank">Tutorial: Number to words </a>'],
  ["December 5, 2019",'<a href="https://github.com/ring-lang/ring/tree/master/applications/go" target="_blank">The Go Game </a>'],
  ["November 10, 2019",'<a href="https://www.youtube.com/watch?v=BH5dI1H3hMA" target="_blank"> Movie: Using Ring in developing PWCT 2.0</a>'],
  ["October 6, 2019",'<a href="http://ring-lang-081.osdn.jp/docs-1.11/index.html" target="_blank"> Ring 1.11 Documentation (Japanese)</a>'],
  ["October 5, 2019",'<a href="http://ring-lang.sourceforge.net/RingBasics_ArabicBook.pdf" target="_blank"> Ring Basics (Arabic Book)</a>'],
  ["October 1, 2019",'<a href="https://www.youtube.com/watch?v=rOwOEFTVvg0" target="_blank"> Movie: Introducing Ring in 1.5 Hour!</a>'],
  ["September 15, 2019",'<a href="doc1.13/whatisnew11.html" target="_blank"> Ring 1.11 Released!</a>'],
  ["June 25, 2019",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/ringraylib" target="_blank"> RingRayLib Extension</a>'],
  ["June 10, 2019",'<a href="https://github.com/ring-lang/ring/blob/master/samples/UsingQt3D/README.md" target="_blank"> Qt3D Tutorial </a>'],
  ["June 3, 2019",'<a href="https://github.com/ring-lang/ring/blob/master/applications/maze" target="_blank"> The Maze Game </a>'],
  ["June 1, 2019",'<a href="https://github.com/ring-lang/ring/blob/master/applications/sokoban" target="_blank"> The Sokoban Game </a>'],
  ["May 10, 2019",'<a href="https://github.com/ring-lang/ring/tree/master/applications/sudoku" target="_blank"> The Sudoku Game'],
  ["April 25, 2019",'<a href="https://github.com/ring-lang/ring/tree/master/applications/checkers" target="_blank"> The Checkers Game'],
  ["April 1, 2019",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/tutorial" target="_blank"> Tutorial: Ring Extensions in C/C++'],
  ["March 1, 2019",'<a href="https://www.youtube.com/watch?v=6VIHMyrEilw&list=PLHIfW1KZRIfl6KzfLziFl650MmThnQ0jT" target="_blank"> Over 200 videos about Ring in Hassouna Academy'],
  ["February 9, 2019",'<a href="https://groups.google.com/forum/#!topic/ring-lang/0WYfFNBMSZk" target="_blank"> Application: Desktop Screen Shot</a>'],
  ["January 31, 2019",'<a href="http://ring-lang-081.osdn.jp/docs-1.10/index.html" target="_blank"> Ring 1.10 Documentation (Japanese)</a>'],
  ["January 25, 2019",'<a href="doc1.13/whatisnew10.html" target="_blank"> Ring 1.10 Released!</a>'],
  ["January 15, 2019",'<a href="doc1.10/ringpm.html" target="_blank">The Ring Package Manager (RingPM) </a>'],
  ["December 11, 2018",'<a href="https://github.com/ring-lang/ring/tree/master/applications/chess" target="_blank">The Chess Game </a>'],
  ["November 6, 2018",'<a href="https://github.com/ring-lang/ring/tree/master/applications/gameoflife" target="_blank">The GameOfLife Game </a>'],
  ["October 16, 2018",'<a href="https://github.com/ring-lang/ring/tree/master/tools/editors/vscode" target="_blank"> Ring extension for Visual Studio Code</a>'],
  ["October 14, 2018",'<a href="https://github.com/ring-lang/ring/tree/master/applications/knighttour" target="_blank"> Knight Tour Game</a>'],
  ["October 12, 2018",'<a href="https://github.com/ring-lang/ring/tree/master/applications/minesweeper" target="_blank"> Minesweeper Game</a>'],
  ["October 6, 2018",'<a href="doc1.13/whatisnew9.html" target="_blank"> Ring 1.9 Released!</a>'],
  ["August 22, 2018",'<a href="https://store.steampowered.com/app/939200/Gold_Magic_800" target="_blank">Game: Gold Magic 800</a>'],
  ["July 17, 2018",'<a href="https://groups.google.com/forum/#!topic/ring-lang/MjQGbF9fBfc" target="_blank"> New style in Ring Notepad</a>'],
  ["July 2, 2018",'<a href="https://groups.google.com/forum/#!topic/ring-lang/WS4-o0jFfOw" target="_blank"> Deploying Ring web applications in the Cloud using Heroku</a>'],
  ["June 25, 2018",'<a href="doc1.13/whatisnew8.html" target="_blank"> Ring 1.8 Released!</a>'],
  ["June 10, 2018",'<a href="https://github.com/ring-lang/ring/tree/master/extensions/ringbeep" target="_blank"> Create your first extension </a>'],
  ["June 4, 2018",'<a href="https://www.youtube.com/watch?v=7BqoQldx0Pk&list=PL8SruvH85P0uA8ggijCQUR9tXAXF4bmtu&index=2" target="_blank"> Movie: Introduction to Ring </a>'],
  ["June 1, 2018",'<a href="https://github.com/ring-lang/ring/blob/master/marketing/course/Arabic/README.md" target="_blank"> Free Arabic Course </a>'],
  ["May 11, 2018",'<a href="https://groups.google.com/forum/#!topic/ring-lang/amfHRmCw37E" target="_blank"> StopWatch Application </a>'],
  ["April 27, 2018",'<a href="https://groups.google.com/forum/#!topic/ring-lang/ItLfmBjBWrA" target="_blank"> String2Constant Application</a>'],
  ["March 23, 2018",'<a href="https://groups.google.com/forum/#!topic/ring-lang/iUkiEtzY6mM" target="_blank"> Compiling Ring on Manjaro Linux</a>'],
  ["March 20, 2018",'<a href="https://groups.google.com/forum/#!topic/ring-lang/M5-ZBqoXss4" target="_blank"> FoxRing Library</a>'],
  ["March 6, 2018",'<a href="https://groups.google.com/forum/#!topic/ring-lang/AqYS3BavKCU" target="_blank"> Find in Files Application</a>'],
  ["March 3, 2018",'<a href="https://groups.google.com/forum/#!topic/ring-lang/F6YMrboda3E" target="_blank"> Improving the Cards game</a>'],
  ["January 25, 2018",'<a href="doc1.13/whatisnew7.html" target="_blank"> Ring 1.7 Released!</a>'],
  ["December 21, 2017",'<a href="https://www.codeproject.com/Articles/1222105/The-declarative-approach-of-the-Ring-programming-l" target="_blank"> Article : The declarative approach of the Ring programming language</a>'],
  ["November 30, 2017",'<a href="doc1.13/whatisnew6.html" target="_blank"> Ring 1.6 Released!</a>'],
  ["August 30, 2017",'<a href="https://groups.google.com/forum/#!topic/ring-lang/258HR7K9ehI" target="_blank"> Game : TicTacToe 3D!</a>'],
  ["August 28, 2017",'<a href="https://groups.google.com/forum/#!topic/ring-lang/OJFruu_U6yU" target="_blank"> Google API Shortener Application!</a>'],
  ["August 21, 2017",'<a href="doc1.13/whatisnew5.html" target="_blank"> Ring 1.5 Released!</a>'],
  ["August 10, 2017",'<a href="https://www.codeproject.com/Articles/1200766/Using-the-Natural-Language-Programming-Library-NLP" target="_blank"> Article : Using the Natural Language Programming Library (NLPL) </a>'],
  ["July 27, 2017",'<a href="https://groups.google.com/forum/#!topic/ring-lang/FQc8-R2h_F8" target="_blank"> GitHub can detect Ring projects</a>'],
  ["June 29, 2017",'<a href="doc1.13/whatisnew4.html" target="_blank"> Ring 1.4 Released!</a>'],
  ["May 15, 2017",'<a href="doc1.13/whatisnew3.html" target="_blank"> Ring 1.3 Released!</a>'],
  ["February 9, 2017",'<a href="https://github.com/ring-lang/ring/tree/master/tools/editors/emacs" target="_blank"> Ring mode for Emacs Editor</a>'],
  ["January 25, 2017",'<a href="doc1.13/whatisnew2.html" target="_blank"> Ring 1.2 Released!</a>'],
  ["October 13, 2016",'<a href="http://www.codeproject.com/Articles/1138605/Natural-Language-Programming-in-the-Ring-Programmi" target="_blank"> Article : Natural Language Programming</a>'],
  ["October 9, 2016",'<a href="http://www.codeproject.com/Articles/1137388/Syntax-Flexibility-in-the-Ring-Programming-Languag" target="_blank"> Article : Syntax Flexibility</a>'],
  ["October 6, 2016",'<a href="doc1.13/whatisnew.html" target="_blank"> Ring 1.1 Released!</a>'],
  ["October 4, 2016",'<a href="https://github.com/MajdiSobain/ring_wincreg" target="_blank"> Ring_WinCReg Extension  </a>'],
  ["October 4, 2016",'<a href="https://github.com/ring-lang/werdy" target="_blank"> Werdy Application </a>'],
  ["June 6, 2016",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_Ring_1.0_MobileAppDevelopment_Qt_Project.zip/download" target="_blank"> Ring 1.0 for Mobile App Development using Qt  </a>'],
  ["May 26, 2016",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_Ring_1.0_MacOSX_64bit_binary_release.zip/download" target="_blank"> Ring 1.0 for macOS Released!  </a>'],
  ["May 11, 2016",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_SuperMan2016_1.0_win32.zip/download" target="_blank"> Super Man 2016 Game </a>'],
  ["May 7, 2016",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_FlappyBird3000_1.0_win32.zip/download" target="_blank"> Flappy Bird 3000 Game </a>'],
  ["May 3, 2016",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_StarsFighter_1.0_win32.zip/download" target="_blank"> Stars Fighter Game </a>'],
  ["May 2, 2016",'<a href="http://www.codeproject.com/Articles/1096942/Squares-Puzzle-using-RingAllegro" target="_blank"> Article: Squares Puzzle using RingAllegro (CodeProject)</a>'],
  ["April 3, 2016",'<a href="http://www.codeproject.com/Articles/1089887/The-Ring-Programming-Language" target="_blank"> Ring Article (CodeProject)</a>'],
  ["March 31, 2016",'<a href="http://github.com/ring-lang/ring" target="_blank"> Ring Source Code (GitHub)</a>'],
  ["March 28, 2016",'<a href="https://groups.google.com/forum/#!searchin/ring-lang/atom%7Csort:date/ring-lang/ap8W8v6HWhM/fvZfXnYRAgAJ" target="_blank"> Ring extension for Atom Editor</a>'],
  ["March 21, 2016",'<a href="https://en.wikibooks.org/wiki/Ring" target="_blank"> Ring in WIKIBOOKS</a>'],
  ["March 16, 2016",'<a href="https://www.youtube.com/watch?v=QABSHg4zY6M" target="_blank"> Movie : Introducing the Ring Programming Language</a>'],
  ["March 12, 2016",'<a href="https://github.com/ring-lang/ring/tree/master/tools/editors/geany" target="_blank"> Ring extension for Geany Editor</a>'],
  ["March 5, 2016",'<a href="http://ring-lang.sf.net/cgi-bin/ringlang.cgi"> Try Ring Online (Interactive Ring)</a>'],
  ["March 4, 2016",'<a href="https://groups.google.com/forum/#!searchin/ring-lang/sublime%7Csort:date/ring-lang/zglVNEaUshQ/GLXvBc-_BAAJ" target="_blank"> Sublime Text 2 Syntax Coloring for Ring</a>'],
  ["February 28, 2016",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_Ring_1.0_Ubuntu_32bit_binary_release.zip/download" target="_blank"> Ring 1.0 for Ubuntu Linux Released!</a>'],
  ["February 17, 2016",'<a href="https://github.com/ahmadomar/RingForVS" target="_blank">Ring extension for visual studio.</a>'],
  ["January 30, 2016",'<a href="resources.html">New section called Resources</a> is added to the Ring website contains Samples & Blogs'],
  ["January 27, 2016",'<a href="https://sourceforge.net/projects/ring-lang/files/Ring%201.0/Fayed_WebLib_1.0_source_code_release.zip/download" target="_blank"> WebLib 1.0 Released!</a>'],
  ["January 25, 2016",'<a href="doc1.13/languagedesign.html" target="_blank"> Ring 1.0 Released!</a>'],
  ["January 23, 2016",'The Ring Team! and the <a href="https://groups.google.com/forum/#!forum/ring-lang" target="_blank">Ring Group</a> '],
  ["January 21, 2016",'This website started!']
]
